Skip to main content
`Ctrl`+`K`

# PetscConcat

Concatenate two tokens

## Synopsis

    #include <petscmacros.h>
    <macro-expansion> PetscConcat(x, y)

No Fortran Support

## Input Parameters

- x - First token

- y - Second token

## Note

`PetscConcat()` will expand both arguments before pasting them together, use `PetscConcat_()` if you don’t want to expand them.

## Example usage

      PetscConcat(hello,there) -> hellothere

      #define HELLO hello
      PetscConcat(HELLO,there)  -> hellothere
      PetscConcat_(HELLO,there) -> HELLOthere

## See Also

`PetscStringize()`, `PetscExpand()`

## Level

beginner

## Location

include/petscmacros.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages